--vmp3 by mrafenne



mov1 = 0
mov2 = 0

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 251 and mov1 >= 0 then
mov1 = mov1 +8
end
end
end


statut = "defaut"
while true do
screen:clear()

if pad:circle() then
statut = "affiche"
end
if statut == "affiche" then
nomvis1() 
screen:fillRect(40,mov1,400,1,white)
screen:fillRect(40,mov1,Mp3me.percent()*4,1,green)
screen:fontPrint(font,mov1+120,253,Mp3me.gettime(),green)
screen:fontPrint(font,mov1+120,270,Mp3me.songTime(),white)
screen:fontPrint(font,mov1-215,253,Mp3me.title(),white)
screen:fontPrint(font,mov1-215,270,Mp3me.album(),white)


end
if pad:square() then
statut = "defaut"
end
screen:print(0,(213-Mp3me.vis(5)),"_",white)
screen:drawLine(0,235,0,50+Mp3me.vis(5),green)
screen:drawLine(1,235,1,50+Mp3me.vis(5),green)
screen:drawLine(2,235,2,50+Mp3me.vis(5),green)
screen:drawLine(3,235,3,50+Mp3me.vis(5),green)
screen:drawLine(4,235,4,50+Mp3me.vis(5),green)

screen:print(10,(213-Mp3me.vis(10)),"_",white)
screen:drawLine(10,235,10,50+Mp3me.vis(10),green)
screen:drawLine(11,235,11,50+Mp3me.vis(10),green)
screen:drawLine(12,235,12,50+Mp3me.vis(10),green)
screen:drawLine(13,235,13,50+Mp3me.vis(10),green)
screen:drawLine(14,235,14,50+Mp3me.vis(10),green)

screen:print(20,(213-Mp3me.vis(15)),"_",white)
screen:drawLine(20,235,20,50+Mp3me.vis(15),green)
screen:drawLine(21,235,21,50+Mp3me.vis(15),green)
screen:drawLine(22,235,22,50+Mp3me.vis(15),green)
screen:drawLine(23,235,23,50+Mp3me.vis(15),green)
screen:drawLine(24,235,24,50+Mp3me.vis(15),green)

screen:print(30,(213-Mp3me.vis(20)),"_",white)
screen:drawLine(30,235,30,50+Mp3me.vis(20),green)
screen:drawLine(31,235,31,50+Mp3me.vis(20),green)
screen:drawLine(32,235,32,50+Mp3me.vis(20),green)
screen:drawLine(33,235,33,50+Mp3me.vis(20),green)
screen:drawLine(34,235,34,50+Mp3me.vis(20),green)

screen:print(40,(213-Mp3me.vis(25)),"_",white)
screen:drawLine(40,235,40,50+Mp3me.vis(25),green)
screen:drawLine(41,235,41,50+Mp3me.vis(25),green)
screen:drawLine(42,235,42,50+Mp3me.vis(25),green)
screen:drawLine(43,235,43,50+Mp3me.vis(25),green)
screen:drawLine(44,235,44,50+Mp3me.vis(25),green)

screen:print(50,(213-Mp3me.vis(30)),"_",white)
screen:drawLine(50,235,50,50+Mp3me.vis(30),green)
screen:drawLine(51,235,51,50+Mp3me.vis(30),green)
screen:drawLine(52,235,52,50+Mp3me.vis(30),green)
screen:drawLine(53,235,53,50+Mp3me.vis(30),green)
screen:drawLine(54,235,54,50+Mp3me.vis(30),green)

screen:print(60,(213-Mp3me.vis(35)),"_",white)
screen:drawLine(60,235,60,50+Mp3me.vis(35),green)
screen:drawLine(61,235,61,50+Mp3me.vis(35),green)
screen:drawLine(62,235,62,50+Mp3me.vis(35),green)
screen:drawLine(63,235,63,50+Mp3me.vis(35),green)
screen:drawLine(64,235,64,50+Mp3me.vis(35),green)

screen:print(70,(213-Mp3me.vis(40)),"_",white)
screen:drawLine(70,235,70,50+Mp3me.vis(40),green)
screen:drawLine(71,235,71,50+Mp3me.vis(40),green)
screen:drawLine(72,235,72,50+Mp3me.vis(40),green)
screen:drawLine(73,235,73,50+Mp3me.vis(40),green)
screen:drawLine(74,235,74,50+Mp3me.vis(40),green)

screen:print(80,(213-Mp3me.vis(45)),"_",white)
screen:drawLine(80,235,80,50+Mp3me.vis(45),green)
screen:drawLine(81,235,81,50+Mp3me.vis(45),green)
screen:drawLine(82,235,82,50+Mp3me.vis(45),green)
screen:drawLine(83,235,83,50+Mp3me.vis(45),green)
screen:drawLine(84,235,84,50+Mp3me.vis(45),green)


screen:print(90,(213-Mp3me.vis(50)),"_",white)
screen:drawLine(90,235,90,50+Mp3me.vis(50),green)
screen:drawLine(91,235,91,50+Mp3me.vis(50),green)
screen:drawLine(92,235,92,50+Mp3me.vis(50),green)
screen:drawLine(93,235,93,50+Mp3me.vis(50),green)
screen:drawLine(94,235,94,50+Mp3me.vis(50),green)

screen:print(100,(213-Mp3me.vis(55)),"_",white)
screen:drawLine(100,235,100,50+Mp3me.vis(55),green)
screen:drawLine(101,235,101,50+Mp3me.vis(55),green)
screen:drawLine(102,235,102,50+Mp3me.vis(55),green)
screen:drawLine(103,235,103,50+Mp3me.vis(55),green)
screen:drawLine(104,235,104,50+Mp3me.vis(55),green)

screen:print(110,(213-Mp3me.vis(60)),"_",white)
screen:drawLine(110,235,110,50+Mp3me.vis(60),green)
screen:drawLine(111,235,111,50+Mp3me.vis(60),green)
screen:drawLine(112,235,112,50+Mp3me.vis(60),green)
screen:drawLine(113,235,113,50+Mp3me.vis(60),green)
screen:drawLine(114,235,114,50+Mp3me.vis(60),green)

screen:print(120,(213-Mp3me.vis(65)),"_",white)
screen:drawLine(120,235,120,50+Mp3me.vis(65),green)
screen:drawLine(121,235,121,50+Mp3me.vis(65),green)
screen:drawLine(122,235,122,50+Mp3me.vis(65),green)
screen:drawLine(123,235,123,50+Mp3me.vis(65),green)
screen:drawLine(124,235,124,50+Mp3me.vis(65),green)

screen:print(130,(213-Mp3me.vis(70)),"_",white)
screen:drawLine(130,235,130,50+Mp3me.vis(70),green)
screen:drawLine(131,235,131,50+Mp3me.vis(70),green)
screen:drawLine(132,235,132,50+Mp3me.vis(70),green)
screen:drawLine(133,235,133,50+Mp3me.vis(70),green)
screen:drawLine(134,235,134,50+Mp3me.vis(70),green)

screen:print(140,(213-Mp3me.vis(75)),"_",white)
screen:drawLine(140,235,140,50+Mp3me.vis(75),green)
screen:drawLine(141,235,141,50+Mp3me.vis(75),green)
screen:drawLine(142,235,142,50+Mp3me.vis(75),green)
screen:drawLine(143,235,143,50+Mp3me.vis(75),green)
screen:drawLine(144,235,144,50+Mp3me.vis(75),green)

screen:print(150,(213-Mp3me.vis(80)),"_",white)
screen:drawLine(150,235,150,50+Mp3me.vis(80),green)
screen:drawLine(151,235,151,50+Mp3me.vis(80),green)
screen:drawLine(152,235,152,50+Mp3me.vis(80),green)
screen:drawLine(153,235,153,50+Mp3me.vis(80),green)
screen:drawLine(154,235,154,50+Mp3me.vis(80),green)

screen:print(160,(213-Mp3me.vis(85)),"_",white)
screen:drawLine(160,235,160,50+Mp3me.vis(85),green)
screen:drawLine(161,235,161,50+Mp3me.vis(85),green)
screen:drawLine(162,235,162,50+Mp3me.vis(85),green)
screen:drawLine(163,235,163,50+Mp3me.vis(85),green)
screen:drawLine(164,235,164,50+Mp3me.vis(85),green)

screen:print(170,(213-Mp3me.vis(90)),"_",white)
screen:drawLine(170,235,170,50+Mp3me.vis(90),green)
screen:drawLine(171,235,171,50+Mp3me.vis(90),green)
screen:drawLine(172,235,172,50+Mp3me.vis(90),green)
screen:drawLine(173,235,173,50+Mp3me.vis(90),green)
screen:drawLine(174,235,174,50+Mp3me.vis(90),green)

screen:print(180,(213-Mp3me.vis(100)),"_",white)
screen:drawLine(180,235,180,50+Mp3me.vis(100),green)
screen:drawLine(181,235,181,50+Mp3me.vis(100),green)
screen:drawLine(182,235,182,50+Mp3me.vis(100),green)
screen:drawLine(183,235,183,50+Mp3me.vis(100),green)
screen:drawLine(184,235,184,50+Mp3me.vis(100),green)

screen:print(190,(213-Mp3me.vis(105)),"_",white)
screen:drawLine(190,235,190,50+Mp3me.vis(105),green)
screen:drawLine(191,235,191,50+Mp3me.vis(105),green)
screen:drawLine(192,235,192,50+Mp3me.vis(105),green)
screen:drawLine(193,235,193,50+Mp3me.vis(105),green)
screen:drawLine(194,235,194,50+Mp3me.vis(105),green)

screen:print(200,(213-Mp3me.vis(120)),"_",white)
screen:drawLine(200,235,200,50+Mp3me.vis(120),green)
screen:drawLine(201,235,201,50+Mp3me.vis(120),green)
screen:drawLine(202,235,202,50+Mp3me.vis(120),green)
screen:drawLine(203,235,203,50+Mp3me.vis(120),green)
screen:drawLine(204,235,204,50+Mp3me.vis(120),green)

screen:print(210,(213-Mp3me.vis(125)),"_",white)
screen:drawLine(210,235,210,50+Mp3me.vis(125),green)
screen:drawLine(211,235,211,50+Mp3me.vis(125),green)
screen:drawLine(212,235,212,50+Mp3me.vis(125),green)
screen:drawLine(213,235,213,50+Mp3me.vis(125),green)
screen:drawLine(214,235,214,50+Mp3me.vis(125),green)

screen:print(220,(213-Mp3me.vis(130)),"_",white)
screen:drawLine(220,235,220,50+Mp3me.vis(130),green)
screen:drawLine(221,235,221,50+Mp3me.vis(130),green)
screen:drawLine(222,235,222,50+Mp3me.vis(130),green)
screen:drawLine(223,235,223,50+Mp3me.vis(130),green)
screen:drawLine(224,235,224,50+Mp3me.vis(130),green)

screen:print(230,(213-Mp3me.vis(135)),"_",white)
screen:drawLine(230,235,230,50+Mp3me.vis(135),green)
screen:drawLine(231,235,231,50+Mp3me.vis(135),green)
screen:drawLine(232,235,232,50+Mp3me.vis(135),green)
screen:drawLine(233,235,233,50+Mp3me.vis(135),green)
screen:drawLine(234,235,234,50+Mp3me.vis(135),green)

screen:print(240,(213-Mp3me.vis(140)),"_",white)
screen:drawLine(240,235,240,50+Mp3me.vis(140),green)
screen:drawLine(241,235,241,50+Mp3me.vis(140),green)
screen:drawLine(242,235,242,50+Mp3me.vis(140),green)
screen:drawLine(243,235,243,50+Mp3me.vis(140),green)
screen:drawLine(244,235,244,50+Mp3me.vis(140),green)

screen:print(250,(213-Mp3me.vis(145)),"_",white)
screen:drawLine(250,235,250,50+Mp3me.vis(145),green)
screen:drawLine(251,235,251,50+Mp3me.vis(145),green)
screen:drawLine(252,235,252,50+Mp3me.vis(145),green)
screen:drawLine(253,235,253,50+Mp3me.vis(145),green)
screen:drawLine(254,235,254,50+Mp3me.vis(145),green)

screen:print(260,(213-Mp3me.vis(150)),"_",white)
screen:drawLine(260,235,260,50+Mp3me.vis(150),green)
screen:drawLine(261,235,261,50+Mp3me.vis(150),green)
screen:drawLine(262,235,262,50+Mp3me.vis(150),green)
screen:drawLine(263,235,263,50+Mp3me.vis(150),green)
screen:drawLine(264,235,264,50+Mp3me.vis(150),green)

screen:print(270,(213-Mp3me.vis(155)),"_",white)
screen:drawLine(270,235,270,50+Mp3me.vis(155),green)
screen:drawLine(271,235,271,50+Mp3me.vis(155),green)
screen:drawLine(272,235,272,50+Mp3me.vis(155),green)
screen:drawLine(273,235,273,50+Mp3me.vis(155),green)
screen:drawLine(274,235,274,50+Mp3me.vis(155),green)

screen:print(280,(213-Mp3me.vis(160)),"_",white)
screen:drawLine(280,235,280,50+Mp3me.vis(160),green)
screen:drawLine(281,235,281,50+Mp3me.vis(160),green)
screen:drawLine(282,235,282,50+Mp3me.vis(160),green)
screen:drawLine(283,235,283,50+Mp3me.vis(160),green)
screen:drawLine(284,235,284,50+Mp3me.vis(160),green)

screen:print(290,(213-Mp3me.vis(165)),"_",white)
screen:drawLine(290,235,290,50+Mp3me.vis(165),green)
screen:drawLine(291,235,291,50+Mp3me.vis(165),green)
screen:drawLine(292,235,292,50+Mp3me.vis(165),green)
screen:drawLine(293,235,293,50+Mp3me.vis(165),green)
screen:drawLine(294,235,294,50+Mp3me.vis(165),green)

screen:print(300,(213-Mp3me.vis(170)),"_",white)
screen:drawLine(300,235,300,50+Mp3me.vis(170),green)
screen:drawLine(301,235,301,50+Mp3me.vis(170),green)
screen:drawLine(302,235,302,50+Mp3me.vis(170),green)
screen:drawLine(303,235,303,50+Mp3me.vis(170),green)
screen:drawLine(304,235,304,50+Mp3me.vis(170),green)

screen:print(310,(213-Mp3me.vis(175)),"_",white)
screen:drawLine(310,235,310,50+Mp3me.vis(175),green)
screen:drawLine(311,235,311,50+Mp3me.vis(175),green)
screen:drawLine(312,235,312,50+Mp3me.vis(175),green)
screen:drawLine(313,235,313,50+Mp3me.vis(175),green)
screen:drawLine(314,235,314,50+Mp3me.vis(175),green)

screen:print(320,(213-Mp3me.vis(180)),"_",white)
screen:drawLine(320,235,320,50+Mp3me.vis(180),green)
screen:drawLine(321,235,321,50+Mp3me.vis(180),green)
screen:drawLine(322,235,322,50+Mp3me.vis(180),green)
screen:drawLine(323,235,323,50+Mp3me.vis(180),green)
screen:drawLine(324,235,324,50+Mp3me.vis(180),green)

screen:print(330,(213-Mp3me.vis(185)),"_",white)
screen:drawLine(330,235,330,50+Mp3me.vis(185),green)
screen:drawLine(331,235,331,50+Mp3me.vis(185),green)
screen:drawLine(332,235,332,50+Mp3me.vis(185),green)
screen:drawLine(333,235,333,50+Mp3me.vis(185),green)
screen:drawLine(334,235,334,50+Mp3me.vis(185),green)

screen:print(340,(213-Mp3me.vis(190)),"_",white)
screen:drawLine(340,235,340,50+Mp3me.vis(190),green)
screen:drawLine(341,235,341,50+Mp3me.vis(190),green)
screen:drawLine(342,235,342,50+Mp3me.vis(190),green)
screen:drawLine(343,235,343,50+Mp3me.vis(190),green)
screen:drawLine(344,235,344,50+Mp3me.vis(190),green)

screen:print(350,(213-Mp3me.vis(195)),"_",white)
screen:drawLine(350,235,350,50+Mp3me.vis(195),green)
screen:drawLine(351,235,351,50+Mp3me.vis(195),green)
screen:drawLine(352,235,352,50+Mp3me.vis(195),green)
screen:drawLine(353,235,353,50+Mp3me.vis(195),green)
screen:drawLine(354,235,354,50+Mp3me.vis(195),green)

screen:print(360,(213-Mp3me.vis(200)),"_",white)
screen:drawLine(360,235,360,50+Mp3me.vis(200),green)
screen:drawLine(361,235,361,50+Mp3me.vis(200),green)
screen:drawLine(362,235,362,50+Mp3me.vis(200),green)
screen:drawLine(363,235,363,50+Mp3me.vis(200),green)
screen:drawLine(364,235,364,50+Mp3me.vis(200),green)

screen:print(370,(213-Mp3me.vis(205)),"_",white)
screen:drawLine(370,235,370,50+Mp3me.vis(205),green)
screen:drawLine(371,235,371,50+Mp3me.vis(205),green)
screen:drawLine(372,235,372,50+Mp3me.vis(205),green)
screen:drawLine(373,235,373,50+Mp3me.vis(205),green)
screen:drawLine(374,235,374,50+Mp3me.vis(205),green)

screen:print(380,(213-Mp3me.vis(210)),"_",white)
screen:drawLine(380,235,380,50+Mp3me.vis(210),green)
screen:drawLine(381,235,381,50+Mp3me.vis(210),green)
screen:drawLine(382,235,382,50+Mp3me.vis(210),green)
screen:drawLine(383,235,383,50+Mp3me.vis(210),green)
screen:drawLine(384,235,384,50+Mp3me.vis(210),green)

screen:print(390,(213-Mp3me.vis(215)),"_",white)
screen:drawLine(390,235,390,50+Mp3me.vis(215),green)
screen:drawLine(391,235,391,50+Mp3me.vis(215),green)
screen:drawLine(392,235,392,50+Mp3me.vis(215),green)
screen:drawLine(393,235,393,50+Mp3me.vis(215),green)
screen:drawLine(394,235,394,50+Mp3me.vis(215),green)

screen:print(400,(213-Mp3me.vis(210)),"_",white)
screen:drawLine(400,235,400,50+Mp3me.vis(210),green)
screen:drawLine(401,235,401,50+Mp3me.vis(210),green)
screen:drawLine(402,235,402,50+Mp3me.vis(210),green)
screen:drawLine(403,235,403,50+Mp3me.vis(210),green)
screen:drawLine(404,235,404,50+Mp3me.vis(210),green)

screen:print(410,(213-Mp3me.vis(215)),"_",white)
screen:drawLine(410,235,410,50+Mp3me.vis(215),green)
screen:drawLine(411,235,411,50+Mp3me.vis(215),green)
screen:drawLine(412,235,412,50+Mp3me.vis(215),green)
screen:drawLine(413,235,413,50+Mp3me.vis(215),green)
screen:drawLine(414,235,414,50+Mp3me.vis(215),green)

screen:print(420,(213-Mp3me.vis(220)),"_",white)
screen:drawLine(420,235,420,50+Mp3me.vis(220),green)
screen:drawLine(421,235,421,50+Mp3me.vis(220),green)
screen:drawLine(422,235,422,50+Mp3me.vis(220),green)
screen:drawLine(423,235,423,50+Mp3me.vis(220),green)
screen:drawLine(424,235,424,50+Mp3me.vis(220),green)

screen:print(430,(213-Mp3me.vis(225)),"_",white)
screen:drawLine(430,235,430,50+Mp3me.vis(225),green)
screen:drawLine(431,235,431,50+Mp3me.vis(225),green)
screen:drawLine(432,235,432,50+Mp3me.vis(225),green)
screen:drawLine(433,235,433,50+Mp3me.vis(225),green)
screen:drawLine(434,235,434,50+Mp3me.vis(225),green)

screen:print(440,(213-Mp3me.vis(230)),"_",white)
screen:drawLine(440,235,440,50+Mp3me.vis(230),green)
screen:drawLine(441,235,441,50+Mp3me.vis(230),green)
screen:drawLine(442,235,442,50+Mp3me.vis(230),green)
screen:drawLine(443,235,443,50+Mp3me.vis(230),green)
screen:drawLine(444,235,444,50+Mp3me.vis(230),green)

screen:print(450,(213-Mp3me.vis(235)),"_",white)
screen:drawLine(450,235,450,50+Mp3me.vis(235),green)
screen:drawLine(451,235,451,50+Mp3me.vis(235),green)
screen:drawLine(452,235,452,50+Mp3me.vis(235),green)
screen:drawLine(453,235,453,50+Mp3me.vis(235),green)
screen:drawLine(454,235,454,50+Mp3me.vis(235),green)

screen:print(460,(213-Mp3me.vis(240)),"_",white)
screen:drawLine(460,235,460,50+Mp3me.vis(240),green)
screen:drawLine(461,235,461,50+Mp3me.vis(240),green)
screen:drawLine(462,235,462,50+Mp3me.vis(240),green)
screen:drawLine(463,235,463,50+Mp3me.vis(240),green)
screen:drawLine(464,235,464,50+Mp3me.vis(240),green)

screen:print(470,(213-Mp3me.vis(245)),"_",white)
screen:drawLine(470,235,470,50+Mp3me.vis(245),green)
screen:drawLine(471,235,471,50+Mp3me.vis(245),green)
screen:drawLine(472,235,472,50+Mp3me.vis(245),green)
screen:drawLine(473,235,473,50+Mp3me.vis(245),green)
screen:drawLine(474,235,474,50+Mp3me.vis(245),green)

pad = Controls.read()

if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:cross() and not oldpad:cross() then
Mp3me.pause()
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp34.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp36.lua")
end

if pad:triangle() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/menu.lua")
end


if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")
exitMenu()
end


screen.waitVblankStart()
screen.flip()
oldpad = pad
end


